package com.chelvc.cloud.maintain.copier;

import java.util.Collection;
import java.util.List;

import com.chelvc.cloud.maintain.vo.MerchantVO;
import com.chelvc.cloud.vehicle.api.dto.MerchantDTO;
import org.mapstruct.Builder;
import org.mapstruct.IterableMapping;
import org.mapstruct.Mapper;
import org.mapstruct.Named;
import org.mapstruct.factory.Mappers;

/**
 * 商家信息拷贝接口
 *
 * @author Woody
 * @date 2023/5/2
 */
@Mapper(builder = @Builder(disableBuilder = true))
public interface MerchantCopier {
    /**
     * 对象拷贝接口实例
     */
    MerchantCopier INSTANCE = Mappers.getMapper(MerchantCopier.class);

    /**
     * 商家信息拷贝
     *
     * @param merchant 商家信息
     * @return 商家信息
     */
    @Named("dto2vo")
    MerchantVO copying(MerchantDTO merchant);

    /**
     * 商家信息拷贝
     *
     * @param merchants 商家信息集合
     * @return 商家信息列表
     */
    @IterableMapping(qualifiedByName = "dto2vo")
    List<MerchantVO> copying(Collection<MerchantDTO> merchants);
}
