package com.chelvc.cloud.maintain.vo;

import java.io.Serializable;

import com.chelvc.cloud.vehicle.api.constant.Adsource;
import com.chelvc.cloud.vehicle.api.constant.Adtype;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 广告配置
 *
 * @author Woody
 * @date 2023/5/7
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class AdvertisementVO implements Serializable {
    /**
     * 广告类型
     */
    private Adtype type;

    /**
     * 广告来源
     */
    private Adsource source;

    /**
     * 广告图片
     */
    private String image;

    /**
     * 跳转地址
     */
    private String redirect;
}
