package com.chelvc.cloud.maintain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 用户信息
 *
 * @author 七仔
 * @date 2023/5/22
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class UserVO implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 用户昵称
     */
    private String nickname;

    /**
     * 手机号码
     */
    private String mobile;

    /**
     * 用户头像
     */
    private String avatar;

    /**
     * 角色主键列表
     */
    private List<Long> roleIds;

    /**
     * 性别
     */
    private String gender;

    /**
     * 常用地
     */
    private String city;

    /**
     * 个人介绍
     */
    private String introduction;

    /**
     * 生日
     */
    private Date birthday;
}
